import { PUBLIC_URLS } from "../config/public-endpoints";

/**
 * seller click events
 * @returns {{init: init}}
 */
export const sellerClickEvents = (() => ({
  init: function () {
    const webflow = Webflow || [];

    // Book a demo seller page
    webflow.push(function () {
      $(document).off('submit');

      $('.form.seller').submit(function (e) {
        e.preventDefault();

        const target = $(e).data('target');

        const mail = $('.demo-input').filter(function () { return !!this.value; });

        const data = { mail: mail[0].value };

        $.ajax({
          type: 'POST',
          url: PUBLIC_URLS.sellerBookADemo,
          data: JSON.stringify(data),
          contentType: 'application/json',
          success: function () {
            $('.success').css({'display': 'block'});
            $('.error').css({'display': 'none'});
          },
          error: function (error) {
            $('.error').css({'display': 'block'});
            $('.success').css({'display': 'none'});
          }
        });
      });
    });
  },
}))();
